## clara 0.9.8

=== Makefile ===
#
#  Copyright (C) 1999-2001 Ricardo Ueda Karpischek
#
#  This is free software; you can redistribute it and/or modify
#  it under the terms of the version 2 of the GNU General Public
#  License as published by the Free Software Foundation.
#
#  This software is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
#  USA.
#

#
# Clara OCR version number.
#
VERSION=0.9.8;

#
# CONFIGURATION SECTION - BEGIN
#

#
# Configure the destination directories:
#
BINDIR=/usr/local/bin
#BINDIR=/usr/bin

MANDIR=/usr/local/man/man1
#MANDIR=/usr/man/man1

DOCDIR=/usr/local/doc/clara
#DOCDIR=/usr/doc/clara
#DOCDIR=/usr/doc/clara-$(VERSION)
#DOCDIR=/usr/share/doc/clara

#
# Configure these variables accordingly to your system:
#
INCLUDE = -I/usr/X11R6/include
LIBPATH = -L/usr/X11R6/lib
CC = gcc

#
# Now choose the Clara OCR compilation options:
#
#   HAVE_POPEN  .. If defined, Clara OCR will include code to
#                  compress/uncompress gzipped files on the
#                  fly using pipes (Clara OCR does not support
#                  zlib). Undefine on systems that don't
#                  support popen.
#
#   MEMCHECK    .. If defined, Clara OCR will include
#                  code to detect memory leaks in some
#                  critical points. Undefine for maximum
#                  speed.
#
#   FUN_CODES   .. If defined, Clara OCR will include fun
#                  features to be used in presentations. If
#                  defined, then HAVE_SIGNAL must be defined
#                  too.
#
#   HAVE_SIGNAL .. If defined, Clara OCR will include code
#                  to install signal handlers on startup
#                  (important).
#
#   PATT_SKEL   .. Instead of using global skeleton parameters,
#                  use per-pattern skeleton parameters. This is
#                  an experimental feature, and chances are that
#                  it will be completely removed in the near future.
#
#   CF          .. Hacks for tests using Candido de Figueiredo
#                  Dictionary (please left undefined)
#
COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL
#COPTS = -DHAVE_POPEN -DMEMCHECK

#
# Add or remove flags if necessary:
#
CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
#CFLAGS = $(INCLUDE) -g -O2 -pedantic $(COPTS)
#CFLAGS = $(INCLUDE) -g -O2 $(COPTS)

#
# Add or remove flags if necessary:
#
LDFLAGS = -g

#
# If your system requires additional libs, please add them:
#
LINKLIB = $(LIBPATH) -lX11 -lm

#
# CONFIGURATION SECTION - END
#

DFLAGS = -web

OBJS = clara.o skel.o event.o symbol.o pattern.o pbm2cl.o cml.o\
       welcome.o redraw.o html.o alphabet.o revision.o build.o\
       consist.o

SRC = book.c clara.c skel.c event.c symbol.c pattern.c pbm2cl.c cml.c\
       welcome.c redraw.c html.c alphabet.c revision.c build.c\
       consist.c

clara: $(OBJS)
	$(CC) -o clara $(LDFLAGS) $(OBJS) $(LINKLIB)

pgmblock: pgmblock.c
	$(CC) -o pgmblock -g pgmblock.c -lm

adv.new:
	rm -f doc/clara-book.html doc/clara-book.1

adv: adv.new
	./mkdoc.pl $(DFLAGS) -html -book $(SRC) *.h >doc/clara-adv.html
	./mkdoc.pl $(DFLAGS) -nroff -book $(SRC) *.h >doc/clara-adv.1

dev.new:
	rm -f doc/clara-dev.html doc/clara-dev.1

dev: dev.new
	./mkdoc.pl $(DFLAGS) -html -devel $(SRC) *.h >doc/clara-dev.html
	./mkdoc.pl $(DFLAGS) -nroff -devel $(SRC) *.h >doc/clara-dev.1

tut.new:
	rm -f doc/clara-tut.html doc/clara.1

tut: tut.new
	./mkdoc.pl $(DFLAGS) -html -tutorial $(SRC) *.h >doc/clara-tut.html
	./mkdoc.pl $(DFLAGS) -nroff -tutorial $(SRC) *.h >doc/clara.1

faq.new:
	rm -f doc/clara-tut.html doc/clara-tut.1

faq: faq.new
	./mkdoc.pl $(DFLAGS) -html -faq $(SRC) *.h >doc/clara-faq.html
	./mkdoc.pl -faq $(SRC) *.h >doc/FAQ

doc: faq tut adv dev

all: clara doc

test: clara
	./clara -p 2

install: all
	install -d $(BINDIR)
	install clara $(BINDIR)
	install selthresh.pl $(BINDIR)
	install -d $(MANDIR)
	install doc/clara.1 doc/clara-dev.1 doc/clara-adv.1 $(MANDIR)
	install -d $(DOCDIR)
	install ANNOUNCE CHANGELOG doc/FAQ doc/*.html $(DOCDIR)

clean:
	rm -f clara sclara $(OBJS) doc/clara-*.1 doc/clara-*.html doc/FAQ
	rm -f acts patterns *session *.html *~ core
	rm -f www/*~
	rm -f doubts/*

stats:
	wc *.c *.h *.pl Makefile CHANGELOG | sort


#
# Dependencies.
#
alphabet.o: common.h alphabet.c
build.o: common.h build.c
clara.o: common.h gui.h clara.c
cml.o: common.h gui.h cml.c
consist.o: common.h consist.c
event.o: common.h gui.h event.c
html.o: common.h gui.h html.c
pattern.o: common.h gui.h pattern.c
pbm2cl.o: common.h pbm2cl.c
redraw.o: common.h gui.h redraw.c
revision.o: common.h gui.h revision.c
skel.o: common.h skel.c
symbol.o: common.h gui.h symbol.c
welcome.o: common.h welcome.c

## clara 0.9.9-1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 1999-2001 Ricardo Ueda Karpischek
+#  Copyright (C) 1999-2002 Ricardo Ueda Karpischek
 #
 #  This is free software; you can redistribute it and/or modify
 #  it under the terms of the version 2 of the GNU General Public
@@ -19,7 +19,7 @@
 #
 # Clara OCR version number.
 #
-VERSION=0.9.8;
+VERSION=0.9.9;
 
 #
 # CONFIGURATION SECTION - BEGIN
@@ -28,16 +28,16 @@
 #
 # Configure the destination directories:
 #
-BINDIR=/usr/local/bin
-#BINDIR=/usr/bin
-
-MANDIR=/usr/local/man/man1
-#MANDIR=/usr/man/man1
-
-DOCDIR=/usr/local/doc/clara
+#BINDIR=/usr/local/bin
+BINDIR=$(DESTDIR)/usr/bin
+
+#MANDIR=/usr/local/man/man1
+MANDIR=$(DESTDIR)/usr/share/man/man1
+
+#DOCDIR=/usr/local/doc/clara
 #DOCDIR=/usr/doc/clara
 #DOCDIR=/usr/doc/clara-$(VERSION)
-#DOCDIR=/usr/share/doc/clara
+DOCDIR=$(DESTDIR)/usr/share/doc/clara
 
 #
 # Configure these variables accordingly to your system:
@@ -75,15 +75,18 @@
 #                  it will be completely removed in the near future.
 #
 #   CF          .. Hacks for tests using Candido de Figueiredo
-#                  Dictionary (please left undefined)
-#
-COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL
+#                  Dictionary (please do not define this macro).
+#
+#   TEST        .. Include test code.
+#
+COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL -DTEST
 #COPTS = -DHAVE_POPEN -DMEMCHECK
 
 #
 # Add or remove flags if necessary:
 #
-CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
+CFLAGS = $(INCLUDE) -g -Wall $(COPTS)
+#CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 -pedantic $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 $(COPTS)
 
@@ -105,17 +108,25 @@
 
 OBJS = clara.o skel.o event.o symbol.o pattern.o pbm2cl.o cml.o\
        welcome.o redraw.o html.o alphabet.o revision.o build.o\
-       consist.o
+       consist.o pgmblock.o preproc.o
 
 SRC = book.c clara.c skel.c event.c symbol.c pattern.c pbm2cl.c cml.c\
        welcome.c redraw.c html.c alphabet.c revision.c build.c\
-       consist.c
+       consist.c pgmblock.c preproc.c
+
+#
+# The programs.
+#
 
 clara: $(OBJS)
 	$(CC) -o clara $(LDFLAGS) $(OBJS) $(LINKLIB)
 
-pgmblock: pgmblock.c
-	$(CC) -o pgmblock -g pgmblock.c -lm
+manager: manager.c
+	$(CC) $(CFLAGS) -o manager manager.c
+
+#
+# Documentation targets.
+#
 
 adv.new:
 	rm -f doc/clara-book.html doc/clara-book.1
@@ -139,13 +150,24 @@
 	./mkdoc.pl $(DFLAGS) -nroff -tutorial $(SRC) *.h >doc/clara.1
 
 faq.new:
-	rm -f doc/clara-tut.html doc/clara-tut.1
+	rm -f doc/clara-faq.html doc/clara-faq.1
 
 faq: faq.new
 	./mkdoc.pl $(DFLAGS) -html -faq $(SRC) *.h >doc/clara-faq.html
 	./mkdoc.pl -faq $(SRC) *.h >doc/FAQ
 
-doc: faq tut adv dev
+glossary.new:
+	rm -f doc/clara-glo.html doc/clara-glo.1
+
+glossary: glossary.new
+	./mkdoc.pl $(DFLAGS) -html -glossary $(SRC) *.h >doc/clara-glo.html
+	./mkdoc.pl -glossary $(SRC) *.h >doc/clara-glo.1
+
+doc: faq tut adv dev glossary
+
+#
+# Other.
+#
 
 all: clara doc
 
@@ -155,24 +177,24 @@
 install: all
 	install -d $(BINDIR)
 	install clara $(BINDIR)
-	install selthresh.pl $(BINDIR)
+	install selthresh.pl $(BINDIR)/selthresh
 	install -d $(MANDIR)
 	install doc/clara.1 doc/clara-dev.1 doc/clara-adv.1 $(MANDIR)
 	install -d $(DOCDIR)
 	install ANNOUNCE CHANGELOG doc/FAQ doc/*.html $(DOCDIR)
 
 clean:
-	rm -f clara sclara $(OBJS) doc/clara-*.1 doc/clara-*.html doc/FAQ
+	rm -f clara sclara $(OBJS) doc/clara*.1 doc/clara*.html doc/FAQ
 	rm -f acts patterns *session *.html *~ core
 	rm -f www/*~
 	rm -f doubts/*
+	rm -f manager
 
 stats:
-	wc *.c *.h *.pl Makefile CHANGELOG | sort
-
-
-#
-# Dependencies.
+	wc *.c *.h *.pl Makefile CHANGELOG | sort -n
+
+#
+# Module dependencies.
 #
 alphabet.o: common.h alphabet.c
 build.o: common.h build.c
@@ -188,4 +210,4 @@
 skel.o: common.h skel.c
 symbol.o: common.h gui.h symbol.c
 welcome.o: common.h welcome.c
-
+pgmblock.o:

=== debian/changelog ===
clara (0.9.9-1.1) unstable; urgency=low

  * NMU
  * Update xlib6g-dev -> xlibs-dev.  Closes: #170120.

 -- Daniel Schepler <schepler@debian.org>  Fri, 14 Mar 2003 23:08:38 -0800

clara (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Sun, 21 Oct 2001 00:44:00 +0000

clara (0.9.8-2) unstable; urgency=low

  * NMU (Eduardo asked me to take care of this while he's away)
  * debian/docs: removed the doc/README file since it is only
    useful for people using the source package. Removed
    changelog also, it is nowhere in the source package.
  * debian/rules: removed some hacks to install the strange-named 
    CHANGELOG to do it the right way (using dh_installchangelogs). 
    This entry, together with the first: (Closes: #107289)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 21 Nov 2001 21:34:21 -0200

clara (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Sun, 21 Oct 2001 00:44:00 +0000

clara (0.9.7-1) unstable; urgency=low

  * New upstream release
  * Uploaded to debian, closes: #105856

 -- root <root@lespaul.metainfo.org>  Thu, 19 Jul 2001 23:10:41 +0000

clara (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Fri, 27 Apr 2001 21:51:09 -0300

=== debian/control ===
Source: clara
Section: text
Priority: optional
Maintainer: Eduardo Marcel Macan <macan@debian.org>
Build-Depends: debhelper (>> 3.0.0), xlibs-dev
Standards-Version: 3.5.2

Package: clara
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl
Description: Free OCR program for Unix Systems
 Clara OCR is a free (GPL) OCR for systems that support 
 the C library and the X window system (e.g. most 
 flavours of Unix).
 .
 Clara OCR is intended for large scale digitalization 
 projects. It features a powerful GUI and a web interface
 for cooperative digitalization of books.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/clara.sgml > clara.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/clara.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/clara


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman doc/clara.1 doc/clara-dev.1 doc/clara-adv.1
	dh_installchangelogs CHANGELOG
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## clara 20031214

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 #
 # Clara OCR version number.
 #
-VERSION=0.9.9;
+VERSION=20031214;
 
 #
 # CONFIGURATION SECTION - BEGIN
@@ -29,15 +29,15 @@
 # Configure the destination directories:
 #
 #BINDIR=/usr/local/bin
-BINDIR=$(DESTDIR)/usr/bin
+BINDIR=/usr/bin
 
 #MANDIR=/usr/local/man/man1
-MANDIR=$(DESTDIR)/usr/share/man/man1
+MANDIR=/usr/man/man1
 
 #DOCDIR=/usr/local/doc/clara
 #DOCDIR=/usr/doc/clara
 #DOCDIR=/usr/doc/clara-$(VERSION)
-DOCDIR=$(DESTDIR)/usr/share/doc/clara
+DOCDIR=/usr/share/doc/clara
 
 #
 # Configure these variables accordingly to your system:
@@ -79,13 +79,17 @@
 #
 #   TEST        .. Include test code.
 #
-COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL -DTEST
+#   NO_RINTF    .. required on systems that do not provide rintf
+#                  (like Solaris).
+#
+COPTS = -DHAVE_POPEN -DMEMCHECK -DFUN_CODES -DHAVE_SIGNAL -DTEST -DNO_RINTF
 #COPTS = -DHAVE_POPEN -DMEMCHECK
 
 #
 # Add or remove flags if necessary:
 #
 CFLAGS = $(INCLUDE) -g -Wall $(COPTS)
+#CFLAGS = $(INCLUDE) -g -Wall -pedantic $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 -Wall $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 -pedantic $(COPTS)
 #CFLAGS = $(INCLUDE) -g -O2 $(COPTS)
@@ -108,11 +112,11 @@
 
 OBJS = clara.o skel.o event.o symbol.o pattern.o pbm2cl.o cml.o\
        welcome.o redraw.o html.o alphabet.o revision.o build.o\
-       consist.o pgmblock.o preproc.o
+       consist.o pgmblock.o preproc.o obd.o
 
 SRC = book.c clara.c skel.c event.c symbol.c pattern.c pbm2cl.c cml.c\
        welcome.c redraw.c html.c alphabet.c revision.c build.c\
-       consist.c pgmblock.c preproc.c
+       consist.c pgmblock.c preproc.c obd.c
 
 #
 # The programs.
@@ -177,7 +181,7 @@
 install: all
 	install -d $(BINDIR)
 	install clara $(BINDIR)
-	install selthresh.pl $(BINDIR)/selthresh
+	install selthresh $(BINDIR)
 	install -d $(MANDIR)
 	install doc/clara.1 doc/clara-dev.1 doc/clara-adv.1 $(MANDIR)
 	install -d $(DOCDIR)
@@ -211,3 +215,6 @@
 symbol.o: common.h gui.h symbol.c
 welcome.o: common.h welcome.c
 pgmblock.o: 
+preproc.c:
+obd.c:
+
